Google warnings, Products, Missing field "priceValidUntil"

Highlighted
Excursionist
35 0 8
I don't have any clue what Google Merchant Center needs, because I don't
use it. It's never seemed like a good fit for selling pre-owned vintage
/items/ (think of an antique shop) rather than new commodity /products/.

A quick search gave me
https://www.littlestreamsoftware.com/articles/shopify-google-merchant-center-json-ld/
as an article that might answer your question.
0 Likes
Highlighted
Excursionist
23 0 4

@Janet_Story thank you for your prompt response, appreciate it.

Another word, you don't use Google Merchant Center so you don't add any JSON-LD script/code.

Based on your experience, what is the best way to push Google to test our change asap? 

Thanks again.

 

0 Likes
Highlighted
Excursionist
35 0 8
No, if you're not using metadata you should STILL add the JSON-LD script
even if you don't use Google Shopping/Merchant Center. My original
reference to Merchant Center was that it apparently requires JSON and
deprecates metadata; but whether or not you use Merchant Center you
should have some kind of structured data to help the search engines find
your stuff. I went with JSON because it got rid of the warnings and
because even if it doesn't affect your ranking in organic search now,
that could change in the future.

As for "pushing Google," simply run your site through the Google Search
Console and if you've done it right the warnings will disappear.

1 Like
Highlighted
Excursionist
23 0 4

Dear @Janet_Story Sorry, I'm not sure I completely follow. So, you recommend removing all occurrences of itemtype, itemprop, and itemscope from my Minimal product-template.liquid then add JSON-LD from FeedArmy? 

After just removing all occurrences of itemtype, itemprop, and itemscope from my theme, the live test appears to still come back with those warnings.

Does this mean I need to add the JSON-LD? Thank you so much for your time answering my question. Really appreciate it.

0 Likes
Highlighted
Excursionist
35 0 8
Yes, you do need some kind of structured data and you should install the
JSON-LD script.
2 Likes
Highlighted
Excursionist
23 0 4

@Janet_Story Thank you so very much for your kindness and help.

If not asking too much, since you are also using Minimal theme, may I ask where (at what line number in product-template.liquid) did you add this JSON-LD code? Thank you in advance for help and share.

0 Likes
Highlighted
New Member
1 0 0
Highlighted
New Member
1 0 0

I operate 4 Out of the Sandbox bases themes.  Nothing but a nightmare.  I guess there great if you don't care about google.  Out of the sandbox themes customer support is lame and yes they don't care.   

0 Likes
Highlighted
Tourist
5 0 0

Out of the sandbox doesn't seem to care about their customers, they just want your money and wash their hands of everything else. I'm also getting errors and considering another theme.

0 Likes
Highlighted
Tourist
5 0 0

Which theme did you have? I have Turbo and OOTS only cares about the initial purchase and nothing else after.

0 Likes